{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "defaultContent" : "工作项",
    "lanResTag" : "DE.LNAME.WORKITEM",
    "lanResType" : "DE.LNAME",
    "name" : "实体逻辑名称（DE.LNAME.*）[WORKITEM]",
    "refFlag" : true
  },
  "caption" : "工作项",
  "codeName" : "WORKITEMUsr12264106CustomTreeGridNodesExpView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMUsr12264106CustomTreeGridNodesExpView.json",
  "name" : "WORKITEMUsr12264106CustomTreeGridNodesExpView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "TreeExpView",
    "name" : "engine"
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "Usr12264106CustomTreeGridNodesExpViewtreeexpbar",
    "controlType" : "TREEEXPBAR",
    "name" : "treeexpbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "getPSAppViewRefs" : [ {
      "name" : "EXPITEM:item",
      "realTitle" : "工作项表格视图",
      "getRealTitlePSLanguageRes" : {
        "defaultContent" : "工作项表格视图",
        "lanResTag" : "PAGE.TITLE.WORKITEM.GRIDVIEW",
        "lanResType" : "PAGE",
        "name" : "界面文本（PAGE.*）[TITLE.WORKITEM.GRIDVIEW]",
        "refFlag" : true
      },
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMGridView.json",
        "viewType" : "DEGRIDVIEW"
      }
    }, {
      "name" : "EXPITEM:node",
      "realTitle" : "工作项表格视图",
      "getRealTitlePSLanguageRes" : {
        "defaultContent" : "工作项表格视图",
        "lanResTag" : "PAGE.TITLE.WORKITEM.GRIDVIEW",
        "lanResType" : "PAGE",
        "name" : "界面文本（PAGE.*）[TITLE.WORKITEM.GRIDVIEW]",
        "refFlag" : true
      },
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMGridView.json",
        "viewType" : "DEGRIDVIEW"
      }
    }, {
      "name" : "EXPITEM:node_1",
      "realTitle" : "工作项表格视图",
      "getRealTitlePSLanguageRes" : {
        "defaultContent" : "工作项表格视图",
        "lanResTag" : "PAGE.TITLE.WORKITEM.GRIDVIEW",
        "lanResType" : "PAGE",
        "name" : "界面文本（PAGE.*）[TITLE.WORKITEM.GRIDVIEW]",
        "refFlag" : true
      },
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMGridView.json",
        "viewType" : "DEGRIDVIEW"
      }
    }, {
      "name" : "EXPITEM:node_3",
      "realTitle" : "工作项表格视图",
      "getRealTitlePSLanguageRes" : {
        "defaultContent" : "工作项表格视图",
        "lanResTag" : "PAGE.TITLE.WORKITEM.GRIDVIEW",
        "lanResType" : "PAGE",
        "name" : "界面文本（PAGE.*）[TITLE.WORKITEM.GRIDVIEW]",
        "refFlag" : true
      },
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMGridView.json",
        "viewType" : "DEGRIDVIEW"
      }
    }, {
      "name" : "EXPITEM:rootitem",
      "realTitle" : "工作项表格视图",
      "getRealTitlePSLanguageRes" : {
        "defaultContent" : "工作项表格视图",
        "lanResTag" : "PAGE.TITLE.WORKITEM.GRIDVIEW",
        "lanResType" : "PAGE",
        "name" : "界面文本（PAGE.*）[TITLE.WORKITEM.GRIDVIEW]",
        "refFlag" : true
      },
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMGridView.json",
        "viewType" : "DEGRIDVIEW"
      }
    } ],
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "treeexpbar"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "TREEEXPBAR"
    },
    "getPSControls" : [ {
      "codeName" : "Usr12264106CustomTreeNodesExpView_TreeView",
      "controlStyle" : "GROUP_TREE",
      "controlType" : "TREEVIEW",
      "getCreatePSControlAction" : {
        "modelref" : true,
        "id" : "create",
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        }
      },
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM/PSTREEVIEWS/Usr12264106CustomTreeNodesExpView_TreeView.json",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch",
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        }
      },
      "getGetPSControlAction" : {
        "modelref" : true,
        "id" : "load",
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        }
      },
      "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
      "logicName" : "自定义树节点导航视图_树视图",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "树视图处理器"
      },
      "getPSControlLogics" : [ {
        "eventNames" : "SELECTIONCHANGE",
        "logicTag" : "treeexpbar_tree",
        "logicType" : "CUSTOM",
        "name" : "treeexpbar_selectionchange"
      }, {
        "eventNames" : "LOAD",
        "logicTag" : "treeexpbar_tree",
        "logicType" : "CUSTOM",
        "name" : "treeexpbar_load"
      } ],
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "treeexpbar_tree"
      },
      "getPSControls" : [ {
        "codeName" : "Usr12264106CustomTreeGridNodesExpViewrootitem_cm",
        "controlType" : "CONTEXTMENU",
        "logicName" : "分组树节点上下文菜单",
        "name" : "rootitem_cm",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        },
        "getPSControlParam" : {
          "id" : "rootitem_cm"
        },
        "getPSDEToolbarItems" : [ {
          "caption" : "编辑",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction1",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "rootitem_cm_deuiaction1"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "编辑",
            "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction1_click",
            "frontProcessType" : "OTHER",
            "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction1_click",
            "name" : "编辑",
            "getPSAppDEUILogic" : {
              "modelref" : true,
              "id" : "updateTreeNode"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
            },
            "timeout" : 60000,
            "uIActionMode" : "FRONT",
            "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction1_click",
            "uIActionType" : "DEUIACTION",
            "uILogicAttachMode" : "REPLACE",
            "uILogicType" : "DELOGIC",
            "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction1_click@WORKITEM"
          },
          "tooltip" : "编辑",
          "uIActionTarget" : "SINGLEDATA",
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "删除",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction2",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "rootitem_cm_deuiaction2"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "删除",
            "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction2_click",
            "frontProcessType" : "OTHER",
            "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction2_click",
            "name" : "删除",
            "getPSAppDEUILogic" : {
              "modelref" : true,
              "id" : "removeTreeNode"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
            },
            "timeout" : 60000,
            "uIActionMode" : "FRONT",
            "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction2_click",
            "uIActionType" : "DEUIACTION",
            "uILogicAttachMode" : "REPLACE",
            "uILogicType" : "DELOGIC",
            "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction2_click@WORKITEM"
          },
          "tooltip" : "删除",
          "uIActionTarget" : "SINGLEDATA",
          "showCaption" : true,
          "showIcon" : true
        } ],
        "modelid" : "C0E32A1D-908F-4D58-9BA2-B0301B7433D6",
        "modeltype" : "PSDETOOLBAR"
      }, {
        "codeName" : "Usr12264106CustomTreeGridNodesExpViewitem_cm",
        "controlType" : "CONTEXTMENU",
        "logicName" : "分组树节点上下文菜单",
        "name" : "item_cm",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        },
        "getPSControlParam" : {
          "id" : "item_cm"
        },
        "getPSDEToolbarItems" : [ {
          "caption" : "编辑",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction1",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "item_cm_deuiaction1"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "编辑",
            "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction1_click",
            "frontProcessType" : "OTHER",
            "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction1_click",
            "name" : "编辑",
            "getPSAppDEUILogic" : {
              "modelref" : true,
              "id" : "updateTreeNode"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
            },
            "timeout" : 60000,
            "uIActionMode" : "FRONT",
            "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction1_click",
            "uIActionType" : "DEUIACTION",
            "uILogicAttachMode" : "REPLACE",
            "uILogicType" : "DELOGIC",
            "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction1_click@WORKITEM"
          },
          "tooltip" : "编辑",
          "uIActionTarget" : "SINGLEDATA",
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "删除",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction2",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "item_cm_deuiaction2"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "删除",
            "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction2_click",
            "frontProcessType" : "OTHER",
            "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction2_click",
            "name" : "删除",
            "getPSAppDEUILogic" : {
              "modelref" : true,
              "id" : "removeTreeNode"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
            },
            "timeout" : 60000,
            "uIActionMode" : "FRONT",
            "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction2_click",
            "uIActionType" : "DEUIACTION",
            "uILogicAttachMode" : "REPLACE",
            "uILogicType" : "DELOGIC",
            "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction2_click@WORKITEM"
          },
          "tooltip" : "删除",
          "uIActionTarget" : "SINGLEDATA",
          "showCaption" : true,
          "showIcon" : true
        } ],
        "modelid" : "C0E32A1D-908F-4D58-9BA2-B0301B7433D6",
        "modeltype" : "PSDETOOLBAR"
      }, {
        "codeName" : "Usr12264106CustomTreeGridNodesExpViewroot_cm",
        "controlType" : "CONTEXTMENU",
        "logicName" : "分组树导航栏",
        "name" : "root_cm",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        },
        "getPSControlParam" : {
          "id" : "root_cm"
        },
        "getPSDEToolbarItems" : [ {
          "caption" : "更多",
          "itemType" : "ITEMS",
          "name" : "items1",
          "getPSDEToolbarItems" : [ {
            "caption" : "新建分组",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction2",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "root_cm_deuiaction2"
            },
            "getPSSysImage" : {
              "glyph" : "xf101@FontAwesome",
              "cssClass" : "fa fa-angle-double-right"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEDATA",
              "caption" : "新建分组",
              "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction2_click",
              "frontProcessType" : "OTHER",
              "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction2_click",
              "name" : "新建分组",
              "getPSAppDEUILogic" : {
                "modelref" : true,
                "id" : "newTreeGroupNode"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
              },
              "timeout" : 60000,
              "uIActionMode" : "FRONT",
              "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction2_click",
              "uIActionType" : "DEUIACTION",
              "uILogicAttachMode" : "REPLACE",
              "uILogicType" : "DELOGIC",
              "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction2_click@WORKITEM"
            },
            "tooltip" : "新建分组",
            "uIActionTarget" : "SINGLEDATA",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "新建分组项",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction1",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "root_cm_deuiaction1"
            },
            "getPSSysImage" : {
              "glyph" : "xf0c9@FontAwesome",
              "cssClass" : "fa fa-reorder"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEDATA",
              "caption" : "新建分组项",
              "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction1_click",
              "frontProcessType" : "OTHER",
              "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction1_click",
              "name" : "新建分组项",
              "getPSAppDEUILogic" : {
                "modelref" : true,
                "id" : "newTreeNode"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
              },
              "timeout" : 60000,
              "uIActionMode" : "FRONT",
              "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction1_click",
              "uIActionType" : "DEUIACTION",
              "uILogicAttachMode" : "REPLACE",
              "uILogicType" : "DELOGIC",
              "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction1_click@WORKITEM"
            },
            "tooltip" : "新建分组项",
            "uIActionTarget" : "SINGLEDATA",
            "showCaption" : true,
            "showIcon" : true
          } ],
          "getPSSysImage" : {
            "glyph" : "xf067@FontAwesome",
            "cssClass" : "fa fa-plus"
          },
          "tooltip" : "更多",
          "showCaption" : false,
          "showIcon" : true
        } ],
        "modelid" : "D906EBEE-C47F-4990-AA7E-77638D6D6C6B",
        "modeltype" : "PSDETOOLBAR"
      } ],
      "getPSDETreeNodeRSs" : [ {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "node"
        },
        "name" : "计划 - 全部计划",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "ROOT"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "item"
        },
        "name" : "分组 - 分组项",
        "getParentPSAppDEField" : {
          "name" : "PWORKITEMID",
          "codeName" : "Pworkitemid"
        },
        "getParentPSDER1N" : {
          "codeName" : "WORKITEM",
          "dERType" : "DER1N",
          "dynaModelFilePath" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDERS/DER1N_WORKITEM_WORKITEM_PWORKITEMID.json",
          "fKeyName" : "F4AFCBB73015D37081",
          "logicName" : "名称",
          "getMajorPSDataEntity" : {
            "modelref" : true,
            "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM.json"
          },
          "masterOrder" : -1,
          "masterRS" : 0,
          "minorCodeName" : "WORKITEMs",
          "getMinorPSDataEntity" : {
            "modelref" : true,
            "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM.json"
          },
          "minorServiceCodeName" : "WORKITEMs",
          "name" : "DER1N_WORKITEM_WORKITEM_PWORKITEMID",
          "orderValue" : 100,
          "getPSPickupDEField" : {
            "name" : "PWORKITEMID",
            "codeName" : "Pworkitemid"
          },
          "getPSPickupTextDEField" : {
            "name" : "PWORKITEMNAME",
            "codeName" : "Pworkitemname"
          },
          "pickupDEFName" : "PWORKITEMID",
          "removeActionType" : -1,
          "removeOrder" : 0,
          "serviceCodeName" : "WORKITEM",
          "enableFKey" : true
        },
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "group"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "node_1"
        },
        "name" : "计划 - 普通测试",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "ROOT"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "node_2"
        },
        "name" : "计划 - 迭代测试",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "ROOT"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "node_3"
        },
        "name" : "计划 - 发布测试",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "ROOT"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "group"
        },
        "name" : "计划 - 分组",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "ROOT"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "rootitem"
        },
        "name" : "计划 - 根节点分组项",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "ROOT"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      } ],
      "getPSDETreeNodes" : [ {
        "counterMode" : 0,
        "name" : "计划",
        "nodeType" : "ROOT",
        "nodeValue" : "root",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        },
        "getPSDEContextMenu" : {
          "codeName" : "Usr12264106CustomTreeGridNodesExpViewroot_cm",
          "controlType" : "CONTEXTMENU",
          "logicName" : "分组树导航栏",
          "name" : "root_cm",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
          },
          "getPSControlParam" : {
            "id" : "root_cm"
          },
          "getPSDEToolbarItems" : [ {
            "caption" : "更多",
            "itemType" : "ITEMS",
            "name" : "items1",
            "getPSDEToolbarItems" : [ {
              "caption" : "新建分组",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction2",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "root_cm_deuiaction2"
              },
              "getPSSysImage" : {
                "glyph" : "xf101@FontAwesome",
                "cssClass" : "fa fa-angle-double-right"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEDATA",
                "caption" : "新建分组",
                "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction2_click",
                "frontProcessType" : "OTHER",
                "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction2_click",
                "name" : "新建分组",
                "getPSAppDEUILogic" : {
                  "modelref" : true,
                  "id" : "newTreeGroupNode"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
                },
                "timeout" : 60000,
                "uIActionMode" : "FRONT",
                "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction2_click",
                "uIActionType" : "DEUIACTION",
                "uILogicAttachMode" : "REPLACE",
                "uILogicType" : "DELOGIC",
                "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction2_click@WORKITEM"
              },
              "tooltip" : "新建分组",
              "uIActionTarget" : "SINGLEDATA",
              "showCaption" : true,
              "showIcon" : true
            }, {
              "caption" : "新建分组项",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction1",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "root_cm_deuiaction1"
              },
              "getPSSysImage" : {
                "glyph" : "xf0c9@FontAwesome",
                "cssClass" : "fa fa-reorder"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEDATA",
                "caption" : "新建分组项",
                "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction1_click",
                "frontProcessType" : "OTHER",
                "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction1_click",
                "name" : "新建分组项",
                "getPSAppDEUILogic" : {
                  "modelref" : true,
                  "id" : "newTreeNode"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
                },
                "timeout" : 60000,
                "uIActionMode" : "FRONT",
                "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction1_click",
                "uIActionType" : "DEUIACTION",
                "uILogicAttachMode" : "REPLACE",
                "uILogicType" : "DELOGIC",
                "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewroot_cm_deuiaction1_click@WORKITEM"
              },
              "tooltip" : "新建分组项",
              "uIActionTarget" : "SINGLEDATA",
              "showCaption" : true,
              "showIcon" : true
            } ],
            "getPSSysImage" : {
              "glyph" : "xf067@FontAwesome",
              "cssClass" : "fa fa-plus"
            },
            "tooltip" : "更多",
            "showCaption" : false,
            "showIcon" : true
          } ],
          "modelid" : "D906EBEE-C47F-4990-AA7E-77638D6D6C6B",
          "modeltype" : "PSDETOOLBAR"
        },
        "text" : "计划",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : true,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : true,
        "rootNode" : true,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "ROOT"
      }, {
        "counterMode" : 0,
        "getIdPSAppDEField" : {
          "name" : "WORKITEMID",
          "codeName" : "WORKITEMId"
        },
        "maxSize" : -1,
        "name" : "分组",
        "nodeType" : "group",
        "getPSAppDEDataSet" : {
          "modelref" : true,
          "id" : "FetchTOPQUERY"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        },
        "sortDir" : "ASC",
        "getSortPSAppDEField" : {
          "name" : "PX",
          "codeName" : "PX"
        },
        "getTextPSAppDEField" : {
          "name" : "WORKITEMNAME",
          "codeName" : "WORKITEMName"
        },
        "treeNodeType" : "DE",
        "hasPSDETreeNodeRSs" : true,
        "allowDrag" : true,
        "allowDrop" : true,
        "allowEditText" : true,
        "allowOrder" : true,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "group"
      }, {
        "counterMode" : 0,
        "getIdPSAppDEField" : {
          "name" : "WORKITEMID",
          "codeName" : "WORKITEMId"
        },
        "maxSize" : -1,
        "name" : "分组项",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMGridView.json",
          "viewType" : "DEGRIDVIEW"
        },
        "nodeType" : "item",
        "getPSAppDEDataSet" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        },
        "getPSDEContextMenu" : {
          "codeName" : "Usr12264106CustomTreeGridNodesExpViewitem_cm",
          "controlType" : "CONTEXTMENU",
          "logicName" : "分组树节点上下文菜单",
          "name" : "item_cm",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
          },
          "getPSControlParam" : {
            "id" : "item_cm"
          },
          "getPSDEToolbarItems" : [ {
            "caption" : "编辑",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction1",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "item_cm_deuiaction1"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEDATA",
              "caption" : "编辑",
              "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction1_click",
              "frontProcessType" : "OTHER",
              "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction1_click",
              "name" : "编辑",
              "getPSAppDEUILogic" : {
                "modelref" : true,
                "id" : "updateTreeNode"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
              },
              "timeout" : 60000,
              "uIActionMode" : "FRONT",
              "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction1_click",
              "uIActionType" : "DEUIACTION",
              "uILogicAttachMode" : "REPLACE",
              "uILogicType" : "DELOGIC",
              "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction1_click@WORKITEM"
            },
            "tooltip" : "编辑",
            "uIActionTarget" : "SINGLEDATA",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "删除",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction2",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "item_cm_deuiaction2"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEDATA",
              "caption" : "删除",
              "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction2_click",
              "frontProcessType" : "OTHER",
              "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction2_click",
              "name" : "删除",
              "getPSAppDEUILogic" : {
                "modelref" : true,
                "id" : "removeTreeNode"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
              },
              "timeout" : 60000,
              "uIActionMode" : "FRONT",
              "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction2_click",
              "uIActionType" : "DEUIACTION",
              "uILogicAttachMode" : "REPLACE",
              "uILogicType" : "DELOGIC",
              "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewitem_cm_deuiaction2_click@WORKITEM"
            },
            "tooltip" : "删除",
            "uIActionTarget" : "SINGLEDATA",
            "showCaption" : true,
            "showIcon" : true
          } ],
          "modelid" : "C0E32A1D-908F-4D58-9BA2-B0301B7433D6",
          "modeltype" : "PSDETOOLBAR"
        },
        "getPSSysImage" : {
          "glyph" : "xf0c9@FontAwesome",
          "cssClass" : "fa fa-reorder"
        },
        "sortDir" : "ASC",
        "getSortPSAppDEField" : {
          "name" : "PX",
          "codeName" : "PX"
        },
        "getTextPSAppDEField" : {
          "name" : "WORKITEMNAME",
          "codeName" : "WORKITEMName"
        },
        "treeNodeType" : "DE",
        "hasPSDETreeNodeRSs" : false,
        "allowDrag" : true,
        "allowEditText" : true,
        "allowOrder" : true,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "item"
      }, {
        "counterMode" : 0,
        "name" : "全部计划",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMGridView.json",
          "viewType" : "DEGRIDVIEW"
        },
        "nodeType" : "node",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        },
        "getPSSysImage" : {
          "glyph" : "xf1b2@FontAwesome",
          "cssClass" : "fa fa-cube"
        },
        "text" : "全部计划",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "node"
      }, {
        "counterMode" : 0,
        "name" : "普通测试",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMGridView.json",
          "viewType" : "DEGRIDVIEW"
        },
        "nodeType" : "node_1",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        },
        "getPSSysImage" : {
          "glyph" : "xf0eb@FontAwesome",
          "cssClass" : "fa fa-lightbulb-o"
        },
        "text" : "普通测试",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "node_1"
      }, {
        "counterMode" : 0,
        "name" : "迭代测试",
        "nodeType" : "node_2",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        },
        "getPSSysImage" : {
          "glyph" : "xf188@FontAwesome",
          "cssClass" : "fa fa-bug"
        },
        "text" : "迭代测试",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "node_2"
      }, {
        "counterMode" : 0,
        "name" : "发布测试",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMGridView.json",
          "viewType" : "DEGRIDVIEW"
        },
        "nodeType" : "node_3",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        },
        "getPSSysImage" : {
          "glyph" : "xf207@FontAwesome",
          "cssClass" : "fa fa-bus"
        },
        "text" : "发布测试",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "node_3"
      }, {
        "counterMode" : 0,
        "name" : "新增静态4",
        "nodeType" : "node_4",
        "text" : "新增静态4",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : false,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "node_4"
      }, {
        "counterMode" : 0,
        "getIdPSAppDEField" : {
          "name" : "WORKITEMID",
          "codeName" : "WORKITEMId"
        },
        "maxSize" : -1,
        "name" : "根节点分组项",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMGridView.json",
          "viewType" : "DEGRIDVIEW"
        },
        "nodeType" : "rootitem",
        "getPSAppDEDataSet" : {
          "modelref" : true,
          "id" : "FetchTOPQUERY"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        },
        "getPSDEContextMenu" : {
          "codeName" : "Usr12264106CustomTreeGridNodesExpViewrootitem_cm",
          "controlType" : "CONTEXTMENU",
          "logicName" : "分组树节点上下文菜单",
          "name" : "rootitem_cm",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
          },
          "getPSControlParam" : {
            "id" : "rootitem_cm"
          },
          "getPSDEToolbarItems" : [ {
            "caption" : "编辑",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction1",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "rootitem_cm_deuiaction1"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEDATA",
              "caption" : "编辑",
              "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction1_click",
              "frontProcessType" : "OTHER",
              "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction1_click",
              "name" : "编辑",
              "getPSAppDEUILogic" : {
                "modelref" : true,
                "id" : "updateTreeNode"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
              },
              "timeout" : 60000,
              "uIActionMode" : "FRONT",
              "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction1_click",
              "uIActionType" : "DEUIACTION",
              "uILogicAttachMode" : "REPLACE",
              "uILogicType" : "DELOGIC",
              "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction1_click@WORKITEM"
            },
            "tooltip" : "编辑",
            "uIActionTarget" : "SINGLEDATA",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "删除",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction2",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "rootitem_cm_deuiaction2"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEDATA",
              "caption" : "删除",
              "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction2_click",
              "frontProcessType" : "OTHER",
              "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction2_click",
              "name" : "删除",
              "getPSAppDEUILogic" : {
                "modelref" : true,
                "id" : "removeTreeNode"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
              },
              "timeout" : 60000,
              "uIActionMode" : "FRONT",
              "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction2_click",
              "uIActionType" : "DEUIACTION",
              "uILogicAttachMode" : "REPLACE",
              "uILogicType" : "DELOGIC",
              "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewrootitem_cm_deuiaction2_click@WORKITEM"
            },
            "tooltip" : "删除",
            "uIActionTarget" : "SINGLEDATA",
            "showCaption" : true,
            "showIcon" : true
          } ],
          "modelid" : "C0E32A1D-908F-4D58-9BA2-B0301B7433D6",
          "modeltype" : "PSDETOOLBAR"
        },
        "getPSSysImage" : {
          "glyph" : "xf0c9@FontAwesome",
          "cssClass" : "fa fa-reorder"
        },
        "sortDir" : "ASC",
        "getSortPSAppDEField" : {
          "name" : "PX",
          "codeName" : "PX"
        },
        "getTextPSAppDEField" : {
          "name" : "WORKITEMNAME",
          "codeName" : "WORKITEMName"
        },
        "treeNodeType" : "DE",
        "hasPSDETreeNodeRSs" : false,
        "allowDrag" : true,
        "allowEditText" : true,
        "allowOrder" : true,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "rootitem"
      } ],
      "getPSSysPFPlugin" : {
        "pluginType" : "TREE_RENDER",
        "pluginCode" : "GROUP_TREE",
        "runtimeObject" : true
      },
      "getRemovePSControlAction" : {
        "modelref" : true,
        "id" : "remove",
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        }
      },
      "treeGridMode" : 0,
      "getUpdatePSControlAction" : {
        "modelref" : true,
        "id" : "update",
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
        }
      },
      "enableRootSelect" : false,
      "outputIconDefault" : true,
      "rootVisible" : false,
      "name" : "treeexpbar_tree",
      "modelid" : "4DDA44B5-892E-4169-BD2B-2D9B60051E01",
      "modeltype" : "PSDETREEVIEW"
    }, {
      "codeName" : "Usr12264106CustomTreeGridNodesExpViewtreeexpbar_toolbar",
      "controlType" : "TOOLBAR",
      "logicName" : "分组树导航栏",
      "name" : "treeexpbar_toolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
      },
      "getPSControlParam" : {
        "id" : "treeexpbar_toolbar"
      },
      "getPSDEToolbarItems" : [ {
        "caption" : "更多",
        "itemType" : "ITEMS",
        "name" : "items1",
        "getPSDEToolbarItems" : [ {
          "caption" : "新建分组",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction2",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "treeexpbar_toolbar_deuiaction2"
          },
          "getPSSysImage" : {
            "glyph" : "xf101@FontAwesome",
            "cssClass" : "fa fa-angle-double-right"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "新建分组",
            "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewtreeexpbar_toolbar_deuiaction2_click",
            "frontProcessType" : "OTHER",
            "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewtreeexpbar_toolbar_deuiaction2_click",
            "name" : "新建分组",
            "getPSAppDEUILogic" : {
              "modelref" : true,
              "id" : "newTreeGroupNode"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
            },
            "timeout" : 60000,
            "uIActionMode" : "FRONT",
            "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewtreeexpbar_toolbar_deuiaction2_click",
            "uIActionType" : "DEUIACTION",
            "uILogicAttachMode" : "REPLACE",
            "uILogicType" : "DELOGIC",
            "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewtreeexpbar_toolbar_deuiaction2_click@WORKITEM"
          },
          "tooltip" : "新建分组",
          "uIActionTarget" : "SINGLEDATA",
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "新建分组项",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction1",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "treeexpbar_toolbar_deuiaction1"
          },
          "getPSSysImage" : {
            "glyph" : "xf0c9@FontAwesome",
            "cssClass" : "fa fa-reorder"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "新建分组项",
            "codeName" : "toolbar_Usr12264106CustomTreeGridNodesExpViewtreeexpbar_toolbar_deuiaction1_click",
            "frontProcessType" : "OTHER",
            "fullCodeName" : "WORKITEM_toolbar_Usr12264106CustomTreeGridNodesExpViewtreeexpbar_toolbar_deuiaction1_click",
            "name" : "新建分组项",
            "getPSAppDEUILogic" : {
              "modelref" : true,
              "id" : "newTreeNode"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
            },
            "timeout" : 60000,
            "uIActionMode" : "FRONT",
            "uIActionTag" : "toolbar_Usr12264106CustomTreeGridNodesExpViewtreeexpbar_toolbar_deuiaction1_click",
            "uIActionType" : "DEUIACTION",
            "uILogicAttachMode" : "REPLACE",
            "uILogicType" : "DELOGIC",
            "id" : "toolbar_Usr12264106CustomTreeGridNodesExpViewtreeexpbar_toolbar_deuiaction1_click@WORKITEM"
          },
          "tooltip" : "新建分组项",
          "uIActionTarget" : "SINGLEDATA",
          "showCaption" : true,
          "showIcon" : true
        } ],
        "getPSSysImage" : {
          "glyph" : "xf067@FontAwesome",
          "cssClass" : "fa fa-plus"
        },
        "tooltip" : "更多",
        "showCaption" : false,
        "showIcon" : true
      } ],
      "modelid" : "D906EBEE-C47F-4990-AA7E-77638D6D6C6B",
      "modeltype" : "PSDETOOLBAR"
    } ],
    "title" : "计划",
    "xDataControlName" : "treeexpbar_tree",
    "enableCounter" : true,
    "enableSearch" : true,
    "showTitleBar" : true,
    "modelid" : "5f73812547d7a6b6b845634839d2e32e_treeexpbar",
    "modeltype" : "PSEXPBAR"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "getCapPSLanguageRes" : {
      "defaultContent" : "工作项",
      "lanResTag" : "DE.LNAME.WORKITEM",
      "lanResType" : "DE.LNAME",
      "name" : "实体逻辑名称（DE.LNAME.*）[WORKITEM]",
      "refFlag" : true
    },
    "caption" : "工作项",
    "codeName" : "Usr12264106CustomTreeGridNodesExpViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "Usr12264106CustomTreeGridNodesExpView",
  "getPSDEViewId" : "17FD201B-5017-4C35-AE43-249FC1BF9AFD",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDETREEEXPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "自定义树节点导航视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DETREEEXPVIEW",
  "enableDP" : true,
  "enableFilter" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "showDataInfoBar" : true,
  "modelid" : "5f73812547d7a6b6b845634839d2e32e",
  "modeltype" : "PSAPPDEVIEW"
}